choqok (1.7.0-3) unstable; urgency=medium

  * Team upload.
  * Stop shipping also the headers, and cmake modules of the private libraries.
  * Update lintian overrides.
  * Bump Standards-Version to 4.7.0, no changes required.
  * Switch the transitional pkg-config build dependency to pkgconf.

 -- Pino Toscano <pino@debian.org>  Wed, 01 May 2024 10:15:32 +0200

choqok (1.7.0-2) unstable; urgency=medium

  * Team upload.

  [ Lisandro Damián Nicanor Pérez Meyer ]
  * Update Homepage in debian/control (Closes: #975462). Thanks Davide Prina
    for filing the bug!

  [ Pino Toscano ]
  * Switch Maintainer to Debian KDE Extras Team with Lisandro's permissions,
    switching Lisandro as Uploader.
  * Switch the use of the kde dh addon with kf5: the former is for kdelibs 4.x
    stuff, the latter is for KF5 stuff.
  * Update the build dependencies according to the upstream build system:
    - set proper versions for cmake, and Qt 5
    - add libkf5configwidgets-dev
    - explicitly add gettext
    - drop unused: libkf5config-dev, libqoauth-dev
    - drop appstream, only needed by the AppStream test
  * Update the patches:
    - fix_missing_qmap_includes.patch: drop, fixed upstream
  * Add the configuration for the CI on salsa.
  * Bump debhelper from old 12 to 13.
    + debian/rules: Drop --fail-missing argument to dh_missing, which is now the
      default.
  * Update standards version to 4.6.2, no changes needed.
  * Drop debian/dirs, not needed anymore as the needed directories are created
    on installation.
  * Stop shipping the upstream CMakeLists.txt file as documentation, as it is
    part of the build system and not a documentation for users.
  * Stop shipping the upstream README file as documentation, as it does not have
    anything useful in it.
  * Drop the Debian-provided man page: it is terribly outdated, and not
    describing anything more than the package description and the --help output
    - drop the docbook2x build dependency, no more needed now
    - dropping the override_dh_auto_clean, which only removed the generated man
      page, will let dh_auto_clean run again (Closes: #1044013)
  * Use execute_after_dh_auto_install to avoid invoking dh_auto_install
    manually.
  * Fix the removal of development .so symlinks.
  * Improve the watch file:
    - bump to v4 (no changes required)
    - use a less strict pattern for matching versioned directories
  * Update lintian overrides.
  * Small fixes in debian/copyright.

 -- Pino Toscano <pino@debian.org>  Thu, 04 Jan 2024 19:52:53 +0100

choqok (1.7.0-1) unstable; urgency=medium

  [ Lisandro Damián Nicanor Pérez Meyer ]
  * New upstream release (Closes: #942109).
  * Refresh fix_missing_qmap_includes.patch.
  * Set Root-Requires-Root to no.
  * Remove trailing whitespaces in previous changelog entries.
  * Add appstream, libqt5networkauth5-dev and libkf5purpose-dev as a build
    dependencies, required or suggested by CMake.
  * Bump Standards-Version to 4.5.0, no changes required.
  * No longer install now unexistant TODO file.
  * Use secure URL in debian/watch.
  * Use secure URL in debian copyright format.
  * Switch to debhelper compat 12, using a dependency on debhelper-compat.
    - Do not pass --parallel to dh anymore, it's now the default.
    - Pass --fail-missing to dh_missing.
  * Add choqok/org.kde.choqok.appdata.xml copyright to debian/copyright.

  [ Scarlett Moore ]
  * Update copyright file.
    - Update source.
    - Correct the catch all license to include KDEeV clause.
    - Refresh copyright information.
    - Include documentation copyright.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Wed, 11 Mar 2020 17:31:46 -0300

choqok (1.6-4) unstable; urgency=medium

  * Replace dependency on libqca2-plugin-ossl with libqca-qt5-2-plugins.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Thu, 03 Oct 2019 18:21:48 -0300

choqok (1.6-3) unstable; urgency=medium

  * Update Vcs-[Browser Git] to salsa.debian.org.
  * Add fix_missing_qmap_includes.patch to solve missing includes (Closes:
    #941155). Thanks Helmut Grohne for the bug report.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Thu, 26 Sep 2019 19:34:30 -0300

choqok (1.6-2) unstable; urgency=medium

  * Release to unstable.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Wed, 30 Aug 2017 19:28:48 -0300

choqok (1.6-1) experimental; urgency=medium

  * Update debian/watch with new URL.
  * New upstream release.
    Switched to KF5, change build dependencies as necessary.
  * Remove disable-longurl-plugin.diff, applied upstream.
  * Build depend upon qoauth >= 2.0.1~1 to ensure we are using the Qt5-based
    version.
  * Fix debian/copyright due to bad copy and paste.
  * Use secure URLs in VCS-[Git Browser].
  * Update Standards-Version to 3.9.8, no changes required.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Sat, 29 Oct 2016 01:07:24 -0300

choqok (1.5-5) unstable; urgency=medium

  * Apply Cyril Brulebois' disable-longurl-plugin.diff to disable longurl
    plugin (Closes: #820812). Thanks a lot!

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Tue, 12 Apr 2016 13:49:23 -0300

choqok (1.5-4) unstable; urgency=medium

  * Drop libsoprano-dev as a build dependency, it was a bug in another package
    as stated in #799491.
  * Remove libindicate-qt-dev as a build dependency as it's being dropped from
    the archive (Closes: #811410).

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Mon, 18 Jan 2016 14:44:50 -0300

choqok (1.5-3) unstable; urgency=medium

  * Add libsoprano-dev as a build dependency. It used to be pulled by some
    other build dependency (Closes: #799491). Thanks Chris Lamb for the
    bug report.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Mon, 21 Sep 2015 17:50:36 -0300

choqok (1.5-2) unstable; urgency=medium

  * Upload to unstable, freeze is long over.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Sun, 07 Jun 2015 14:25:45 -0300

choqok (1.5-1) experimental; urgency=medium

  * New upstream release.
  * Put myself as Maintainer and Noah as Uplaoder, with Noah's permission.
  * Add libtelepathy-qt4-dev and libindicate-qt-dev as build dependencies, now
    optionals in this version.
  * Switch packaging to dh.
  * Update debian/copyright.
  * Switch Vcs-Browser and Vcs-Git to their canonical values.
  * Update Standards-Version to 3.9.6, no changes required.
  * Switch debian/compat to 9 in order to receive the correct hardening flags.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Mon, 26 Jan 2015 18:18:56 -0300

choqok (1.4-1) unstable; urgency=low

  * New upstream release. (Closes: #723653, #712188)
  * Bump standards compliance to 3.9.4 (no changes)

 -- Noah Meyerhans <noahm@debian.org>  Mon, 23 Sep 2013 11:34:45 -0700

choqok (1.3-1) unstable; urgency=low

  * New upstream release.
  * Update standards compliance to 3.9.3.1.

 -- Noah Meyerhans <noahm@debian.org>  Mon, 09 Apr 2012 22:39:53 -0700

choqok (1.2-1) unstable; urgency=low

  * New upstream release.
  * Don't install cmake files.  (Closes: 635990)
  * Use source format 3.0 (quilt)

 -- Noah Meyerhans <noahm@debian.org>  Thu, 05 Jan 2012 23:23:54 -0800

choqok (1.1.5+git20110825-1) unstable; urgency=low

  * New upstream version based on 6e30eff0

 -- Noah Meyerhans <noahm@debian.org>  Thu, 25 Aug 2011 23:12:21 -0700

choqok (1.1.5-1) unstable; urgency=low

  * New upstream snapshot based on 680f418 (Closes: 631505)
  * Update standards compliance to 3.9.2.

 -- Noah Meyerhans <noahm@debian.org>  Fri, 29 Jul 2011 08:55:46 -0700

choqok (1.1-1) unstable; urgency=low

  * New upstream version based on git commit 44c81b3e

 -- Noah Meyerhans <noahm@debian.org>  Sat, 12 Mar 2011 23:29:39 -0800

choqok (1.0+git1.0.1-1~pre2) unstable; urgency=low

  * Update lintian overrides
  * Remove build-depend on quilt, since we're not patching currently
  * Build-depend on libattica-dev (Closes: #614393)

 -- Noah Meyerhans <noahm@debian.org>  Mon, 21 Feb 2011 18:12:13 -0800

choqok (1.0+git1.0.1-1~pre1) unstable; urgency=low

  * New upstream release based on revision 8f3f89af

 -- Noah Meyerhans <noahm@debian.org>  Sun, 20 Feb 2011 16:12:29 -0800

choqok (1.0~rc1-1) unstable; urgency=low

  * New upstream snapshot based on revision 5ef554f.

 -- Noah Meyerhans <noahm@debian.org>  Fri, 31 Dec 2010 23:21:18 -0800

choqok (1.0~beta4-1) unstable; urgency=low

  * New upstream release
  * Remove debian patches that are present upstream.

 -- Noah Meyerhans <noahm@debian.org>  Fri, 29 Oct 2010 00:51:47 -0700

choqok (0.9.81-3) unstable; urgency=low

  * Include upstream change 22178386 to allow choqok to still work if
    the user has opted not to use kwallet.  (Closes: #597315)
  * Add quilt to Build-Depends to apply the above patch at build time.

 -- Noah Meyerhans <noahm@debian.org>  Fri, 29 Oct 2010 00:51:33 -0700

choqok (0.9.81-2) unstable; urgency=low

  * Depend on libqca2-plugin-ossl (Closes: #593537)

 -- Noah Meyerhans <noahm@debian.org>  Sat, 21 Aug 2010 04:45:04 -0700

choqok (0.9.81-1) unstable; urgency=low

  * New upstream snapshot fixes crash when expanding shortened URLs.

 -- Noah Meyerhans <noahm@debian.org>  Tue, 13 Jul 2010 09:05:44 -0700

choqok (0.9.55+git20100712-1) unstable; urgency=low

  * New upstream snapshot based on 303721d
  * Provide a versioned build-dep on libqoauth-dev, just to make sure we
    don't get built against the buggy 1.0-1 packages.
  * Bump standards version to 3.9.0 (no changes needed)

 -- Noah Meyerhans <noahm@debian.org>  Mon, 12 Jul 2010 21:51:12 -0700

choqok (0.9.55+git20100629-1) unstable; urgency=low

  * New upstream git snapshot from 101ae3e.  (Closes: #587420, #585443)
  * Build-depend on libqoauth-dev (Closes: #587420)
  * Build-depend on libqjson-dev due to upstream changes allowing the
    use of twitter via json
  * Build-depend on docbook-xml and use the local docbookx.dtd file

 -- Noah Meyerhans <noahm@debian.org>  Wed, 07 Jul 2010 11:41:08 -0700

choqok (0.9.55-1) unstable; urgency=low

  * New upstream release 0.9.55 (1.0 beta1)

 -- Noah Meyerhans <noahm@debian.org>  Fri, 12 Mar 2010 09:35:46 -0800

choqok (0.9.4+git20100228-1) unstable; urgency=low

  * New upstream git snapshot from revision 8fbaa50
  * Bump standards version to 3.8.4 (no changes needed)

 -- Noah Meyerhans <noahm@debian.org>  Sun, 28 Feb 2010 19:22:22 -0800

choqok (0.9.4+git20100131-1) unstable; urgency=low

  * New upstream git snapshot including changes up to
    48bac7e7879b54663f6d6ede09ec08f2008ebd39
  * Fix a spelling error in debian/control

 -- Noah Meyerhans <noahm@debian.org>  Wed, 03 Feb 2010 21:13:00 -0800

choqok (0.9.4+git20091230-1) unstable; urgency=low

  * Pull latest upstream git changes up to dbcfbfb from gitorious.

 -- Noah Meyerhans <noahm@debian.org>  Wed, 30 Dec 2009 23:03:45 -0500

choqok (0.9.4-1) unstable; urgency=low

  * New upstream release.

 -- Noah Meyerhans <noahm@debian.org>  Thu, 15 Oct 2009 21:55:41 -0400

choqok (0.9.1+git20091012-1) unstable; urgency=low

  * New upstream git snapshot including changes up to
    0c092cbeaaa99253028b18f4dc00ced3ca8f01bf

 -- Noah Meyerhans <noahm@debian.org>  Tue, 13 Oct 2009 00:26:21 -0400

choqok (0.9.1+git20091003-1) unstable; urgency=low

  * Pull upstream changes from gitorious revision
    22d4e77e40dd6c2b2954bdd5d7bf64a97fe39545

 -- Noah Meyerhans <noahm@debian.org>  Sat, 03 Oct 2009 13:53:03 -0400

choqok (0.9.1+git20090921-1) unstable; urgency=low

  * pull new upstream code from git://gitorious.org/choqok/choqok.git
  * add lintian overrides to suppress warnings about library sonames.
  * Stop installing .so files.

 -- Noah Meyerhans <noahm@debian.org>  Tue, 22 Sep 2009 10:35:56 -0400

choqok (0.9.1-1) unstable; urgency=low

  * New upstream version

 -- Noah Meyerhans <noahm@debian.org>  Sun, 13 Sep 2009 19:40:53 -0400

choqok (0.6.6-2) unstable; urgency=low

  * Fix unnecessary architecture restrictions

 -- Noah Meyerhans <noahm@debian.org>  Mon, 07 Sep 2009 13:22:24 -0400

choqok (0.6.6-1) unstable; urgency=low

  * Initial release (Closes: #543956)

 -- Andrey Voronov <voronov84@gmail.com>  Fri, 28 Aug 2009 07:08:23 +0300
